import { makeStyles } from '@material-ui/core'
import React from 'react';

const useStyles = makeStyles({
    overlay: {
        position: 'fixed',
        top: 0,
        left: 0,
        width: '100vw',
        height: '100vh',
        zIndex:100
    }
})

const Modal = ({children}:{children:React.ReactNode}) => {
    const classes = useStyles()
  return (
    <div className={classes.overlay} id='overlay'>
         {children} 
    </div>
  );
}

export default Modal