import {
  actionSelectChat,
  actionGetChat
} from '../action';
import { startChat,getChat } from '../../../api-data';

import { TChat } from '../../../typescript/redux/chat/types'

const asyncStartChatById = (id:string) => async (dispatch:any) => {
  try {
    const data = await startChat<TChat>(id)
    data&&dispatch(actionSelectChat(data))
  } catch(e) {}
};

const asyncGetChatById = (id:string) => async (dispatch:any) => {
  try {
    const data = await getChat<TChat>(id)
    data&&dispatch(actionGetChat(data))
  } catch(e) {}
};



export { asyncStartChatById,asyncGetChatById };




